Versions backward compatibility in development environment

Versions backward compatibility in development environment

Postby Dominik » Thu 08 May 2014 08:36

Hi,

We have upgrade our Devart dotConnect for Oracle version from 5.70.190 to 8.1.45 regarding a problem with framework .NET 4.5.

Now we have installed the new Devart product in our development environment, but we also have old versions of our product projects referencing v5.70 libraries. So in this case, when we run an older project we get this error at execution time:

MissingMethodException - Method not found: 'Void Devart.Data.Oracle.Entity.OracleEntityProviderServices.set_TypedNulls(Boolean)'.


Is there any way to solve this problem?

Thanks in advance,

Dominik.
Dominik
 
Posts: 29
Joined: Wed 19 May 2010 07:26

Re: Versions backward compatibility in development environment

Postby Shalex » Fri 09 May 2014 13:00

Please refer to http://forums.devart.com/viewtopic.php?t=20149. Have you removed the policy.*.Devart.* files from both GAC 2.0 (\Windows\assembly\) and GAC 4.0 (\Windows\Microsoft.NET\assembly\)?

If this doesn't help, run your project in the debug mode, navigate to Debug > Windows > Modules and make sure that all Devart.* assemblies, which are loaded in the process of the application, correspond to the same version of dotConnect for Oracle provider.
Shalex
Devart Team
 
Posts: 7612
Joined: Thu 14 Aug 2008 12:44


Return to dotConnect for Oracle